<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>AODataSegmentRestoreLocalIS</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="AODataSegmentRestoreLocalIS"><H1>AODataSegmentRestoreLocalIS</H1></A>
Restores data from a particular segment of a database. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscao.h" 
PetscErrorCode PETSCDM_DLLEXPORT AODataSegmentRestoreLocalIS(AOData aodata,const char name[],const char segment[],IS is,void **data)
</PRE>
Collective on <A HREF="../AO/AOData.html#AOData">AOData</A> and <A HREF="../IS/IS.html#IS">IS</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>aodata </B></TD><TD>- the database
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>name </B></TD><TD>- the name of the data key
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>segment </B></TD><TD>- the name of the segment
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>is </B></TD><TD>- the keys provided by this processor
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Output Parameters</FONT></H3>
<DT><B>data </B> -the actual data
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 database transactions
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../AO/AODataSegmentGetLocalIS.html#AODataSegmentGetLocalIS">AODataSegmentGetLocalIS</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>deprecated
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/dm/ao/interface/aodata.c.html#AODataSegmentRestoreLocalIS">src/dm/ao/interface/aodata.c</A>
<BR><A HREF="./index.html">Index of all AO routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
